"""
Checkbox Editor source package Apport hook
"""
import os
import apport
import apport.hookutils as hook

def add_info(report, hook_ui=None):
    """
    Add log file if exists
    """
    # Report bugs to launchpad project directly
    if not apport.packaging.is_distro_package(report['Package'].split()[0]):
        report['ThirdParty'] = 'True'
        report['CrashDB'] = 'checkbox_editor'

    # Add log file passed through the command line
    if hook_ui:
        options = hook_ui.ui.options
        hook.attach_file_if_exists(report, options.log_filename, 'checkbox-editor.log')
        hook.attach_file_if_exists(report, options.cfg_filename, 'checkbox-editor.cfg')
