"""
about dialog
"""
import pygtk
pygtk.require("2.0")
import gtk

import os

from . import build

class AboutDialog:
    """
    Wrapper class that loads widgets from glade file
    and runs dialog
    """

    def __init__(self):
        """
        Create user interface widgets
        """
        builder = gtk.Builder()
        ui_file = os.path.join(os.path.dirname(os.path.realpath(__file__)),
                               'glade', 'about.glade')
        builder.add_from_file(ui_file)
        builder.connect_signals(self)

        self.dialog = builder.get_object("about_dialog")
        self.dialog.set_version(build.version)


    def run(self):
        """
        Run dialog and destroy it immediately
        """
        self.dialog.run()
        self.dialog.destroy()
