"""
status bar module
"""
import glib

class StatusBar(object):
    """
    Take care of status bar related actions
    """
    def __init__(self, statusbar):
        self.statusbar = statusbar

    def _write_tmp_message(self, message):
        """
        Write a temporary message to status bar
        """
        context_id = self.statusbar.get_context_id("tmp")
        message_id = self.statusbar.push(context_id, message)

        def timeout_cb():
             self.statusbar.remove_message(context_id, message_id)
             return False

        glib.timeout_add_seconds(5, timeout_cb)
